Package org.apache.log4j.db

## Class DBReceiver

- java.lang.Object
- - org.apache.log4j.spi.ComponentBase
  - - org.apache.log4j.plugins.PluginSkeleton
    - - org.apache.log4j.plugins.Receiver
      - - org.apache.log4j.db.DBReceiver

- All Implemented Interfaces:
    `Pauseable`, `Plugin`, `Component`, `org.apache.log4j.spi.OptionHandler`, `Thresholdable`, `org.apache.log4j.xml.UnrecognizedElementHandler`

      public class DBReceiver
      extends Receiver
      implements Pauseable, org.apache.log4j.xml.UnrecognizedElementHandler

  Author:
    Scott Deboy <sdeboy@apache.org>, Ceki Gülcü

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.plugins.Receiver

      `thresholdLevel`

    - ### Fields inherited from class org.apache.log4j.plugins.PluginSkeleton

      `active, name`

    - ### Fields inherited from class org.apache.log4j.spi.ComponentBase

      `repository`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DBReceiver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `activateOptions()` |
    `ConnectionSource` | `getConnectionSource()` |
    `int` | `getRefreshMillis()` |
    `boolean` | `isPaused()` | Get paused state.
    `boolean` | `parseUnrecognizedElement​(Element element, Properties props)`
    `void` | `setConnectionSource​(ConnectionSource connectionSource)` |
    `void` | `setPaused​(boolean paused)` | Set paused state.
    `void` | `setRefreshMillis​(int refreshMillis)` |
    `void` | `shutdown()` | Call when the plugin should be stopped.

    - ### Methods inherited from class org.apache.log4j.plugins.Receiver

      `doPost, getThreshold, isAsSevereAsThreshold, setThreshold`

    - ### Methods inherited from class org.apache.log4j.plugins.PluginSkeleton

      `addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getLoggerRepository, getName, isActive, isEquivalent, removePropertyChangeListener, removePropertyChangeListener, setLoggerRepository, setName`

    - ### Methods inherited from class org.apache.log4j.spi.ComponentBase

      `getLogger, getNonFloodingLogger, resetErrorCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBReceiver

          public DBReceiver()

  - ### Method Detail

    - #### activateOptions

          public void activateOptions()

      Specified by:
        `activateOptions` in interface `org.apache.log4j.spi.OptionHandler`

    - #### setRefreshMillis

          public void setRefreshMillis​(int refreshMillis)

    - #### getRefreshMillis

          public int getRefreshMillis()

    - #### getConnectionSource

          public ConnectionSource getConnectionSource()

      Returns:
        Returns the connectionSource.

    - #### setConnectionSource

          public void setConnectionSource​(ConnectionSource connectionSource)

      Parameters:
        `connectionSource` - The connectionSource to set.

    - #### shutdown

          public void shutdown()

      Description copied from interface: `Plugin`
      Call when the plugin should be stopped.
      Specified by:
        `shutdown` in interface `Plugin`

    - #### setPaused

          public void setPaused​(boolean paused)

      Description copied from interface: `Pauseable`
      Set paused state.
      Specified by:
        `setPaused` in interface `Pauseable`
      Parameters:
        `paused` - new value

    - #### isPaused

          public boolean isPaused()

      Description copied from interface: `Pauseable`
      Get paused state.
      Specified by:
        `isPaused` in interface `Pauseable`
      Returns:
        paused state.

    - #### parseUnrecognizedElement

          public boolean parseUnrecognizedElement​(Element element,
                                                  Properties props)
                                           throws Exception

      Specified by:
        `parseUnrecognizedElement` in interface `org.apache.log4j.xml.UnrecognizedElementHandler`
      Throws:
        `Exception`